<?php declare(strict_types=1);

namespace App\Dto\Service\Registry\V2;

final readonly class AuthorizationConfig
{
    public function __construct(
        private string $serviceName,
        private string $privateKeyName,
        private string $issuer,
        private string $algorithm,
        private int    $expiresInSeconds,
    ) { }

    public function getServiceName(): string
    {
        return $this->serviceName;
    }

    public function getPrivateKeyName(): string
    {
        return $this->privateKeyName;
    }

    public function getIssuer(): string
    {
        return $this->issuer;
    }

    public function getAlgorithm(): string
    {
        return $this->algorithm;
    }

    public function getExpiresInSeconds(): int
    {
        return $this->expiresInSeconds;
    }
}
