<?php declare(strict_types=1);

namespace App\Http\Controllers\Site;

use App\Dto\QuerySettingsDto;
use App\Http\Requests\Site\User\UserRequest;
use App\Services\Site\UserService;
use Illuminate\View\View;

final class UserController extends Controller
{
    public function __construct(
        private readonly UserService $userService,
    ) { }

    public function user(string $username, UserRequest $request): View
    {
        $querySettingsDto = new QuerySettingsDto(
            limit: 20,
            page:  $request->getDto()->getPage(),
            queryWith: ['user']
        );
        $result = $this->userService->repositories($username, $querySettingsDto, $request->user());
        if ($result->isError()) {
            $this->errors($result);
        }

        return view('site.user.user', $result->getData());
    }
}
