<div class="content-repositories__buttons">
    @can('update', $repository)
        <a href="{{ route('repository.edit', ['username' => $repository->user->username, 'repository_name' => $repository->name]) }}" class="button button__create margin-bottom-20">{{ __('Edit') }}</a>
    @endcan
    @can('delete', $repository)
        <form method="post" action="{{ route('repository.destroy', ['username' => $repository->user->username, 'repository_name' => $repository->name]) }}">
            @csrf
            @method('DELETE')
            <button type="submit" class="button button-red click-confirm margin-bottom-20">
                {{ __('Delete') }}
            </button>
        </form>
    @endcan
</div>
<div class="content-repositories__list">
    <div class="content-repositories__list__item">
        <span class="content-repositories__list__item__head">
            <span><strong>{{ $repository->repository }}</strong></span>
            <span class="quantity_pulls">@abbreviate_int($repository->quantity_pulls)</span>
        </span>
        <span class="content-repositories__list__item__line">
            <span class="content-repositories__list__item__username">{{ __('by') }} <strong><a href="{{ route('user.repositories', ['username' => $repository->user->username]) }}">{{ $repository->user->username }}</a></strong></span>
            <span class="dot">•</span>
            <span class="content-repositories__list__item__updated">{{ __('site.Updated :date', ['date' => $repository->updated_at->diffForHumans()]) }}</span>
        </span>
        <span class="content-repositories__list__item__line">
            {{ $repository->description }}
        </span>
    </div>
</div>
<ul class="content-repositories__menu">
    <li @class(['active' => request()->route()->named('repository.view')])><a href="{{ route('repository.view', ['username' => $repository->user->username, 'repository_name' => $repository->name]) }}">{{ __('site.Overview') }}</a></li>
    <li @class(['active' => request()->route()->named('repository.tags')])><a href="{{ route('repository.tags', ['username' => $repository->user->username, 'repository_name' => $repository->name]) }}">{{ __('site.Tags') }}</a></li>
</ul>
@push('scripts')
    @can('delete', $repository)
        @include('_scripts._click-confirm', ['alert' => __('Do you want to delete?')])
    @endcanany
@endpush
