@section('meta_title', __('site.Repository :repository', ['repository' => $repository->user->username . '/' . $repository->name]))
@section('h1', $repository->user->username . '/' . $repository->name)
<x-layout.site>
    <div class="content-repositories">
        @include('site.repositories._repository-page', ['repository' => $repository])
        <div class="content-repositories__tags">
            @foreach($tags as $tag)
                <div class="content-repositories__tag">
                    <div class="content-repositories__tag__content">
                        <div class="content-repositories__tag__info">
                            <p><strong>{{ $tag->name }}</strong></p>
                            <p>{{ __('site.Updated :date', ['date' => $tag->updated_at->diffForHumans()]) }} {{ __('by') }} <strong><a href="{{ route('user.repositories', ['username' => $repository->user->username]) }}">{{ $repository->user->username }}</a></strong></p>
                        </div>
                        <div class="content-repositories__tag__command">
                            <div class="block-copy">
                                <span class="block-copy-text">docker pull {{ $serviceAddress }}/{{ $repository->repository }}:{{ $tag->name }}</span>
                                <button type="button" data-default="{{ __('Copy') }}" data-copy-error="{{ __('Error copy') }}" data-copy-success="{{ __('Copied') }}">{{ __('Copy') }}</button>
                            </div>
                        </div>
                    </div>
                    <div class="block-table">
                        <table class="table">
                            <tr>
                                <th>Digest</th>
                                <th>OS/ARCH</th>
                                <th>Compressed Size</th>
                                <th>Pulls</th>
                                @can('delete', $tag)
                                    <th style="width: 100px;"></th>
                                @endcanany
                            </tr>
                            <tr>
                                <td>
                                    @short_digest($tag->digest)
                                </td>
                                <td>
                                    {{ $tag->architecture->os->name }}/{{ $tag->architecture->name }}
                                </td>
                                <td>
                                    @size_for_humans($tag->size)
                                </td>
                                <td>
                                    <span class="quantity_pulls">@abbreviate_int($tag->quantity_pulls)</span>
                                </td>
                                @can('delete', $tag)
                                    <td>
                                        <form method="post" action="{{ route('repository.tag.destroy', ['username' => $repository->user->username, 'repository_name' => $repository->name, 'tag_id' => $tag->id]) }}">
                                            @csrf
                                            @method('DELETE')
                                            <button type="submit" class="button button-red click-confirm margin-bottom-20">
                                                {{ __('Delete') }}
                                            </button>
                                        </form>
                                    </td>
                                @endcan
                            </tr>
                        </table>
                    </div>
                </div>
            @endforeach
        </div>
        {{ $tags->links() }}
    </div>
</x-layout.site>
